Bug 449981 - Plasmashell crash in QQuickItemPrivate::setEffectiveVisibleRecur after screen change
Summary: Plasmashell crash in QQuickItemPrivate::setEffectiveVisibleRecur after scree...
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Plasma
Component: Desktop Containment (show other bugs)
Version: 5.24.0
Platform: openSUSE Linux
: VHI crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi, regression
: 400835 402121 404902 410575 417232 428573 434823 440265 441728 443901 445921 450113 450594 450607 450723 459553 459958 462431 468952 471057 471220 472521 473202 474180 481662 489659 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-10 23:48 UTC by NIk
Modified: 2024-07-03 19:51 UTC (History)
34 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0


Attachments
attachment-18589-0.html (2.57 KB, text/html)
2022-03-02 15:46 UTC, Valentine Stubbs
Details
attachment-23374-0.html (1.97 KB, text/html)
2022-03-18 22:01 UTC, Valentine Stubbs
Details
attachment-5119-0.html (2.13 KB, text/html)
2022-09-08 18:51 UTC, Valentine Stubbs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NIk 2022-02-10 23:48:34 UTC
Application: plasmashell (5.24.0)

Qt Version: 5.15.2
Frameworks Version: 5.90.0
Operating System: Linux 5.16.5-1-default x86_64
Windowing System: X11
Distribution: "openSUSE Tumbleweed"
DrKonqi: 5.24.0 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:
I had my VM up and running, but this very error happened before too, even without doing anything. The only program open was Firefox then, and the second time (this report) virt-manager. 5.24 seems a bit .. unstable.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = <optimized out>}
[KCrash Handler]
#6  0x00007fd0f1cfcb95 in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/11/bits/atomic_base.h:481
#7  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#8  QBasicAtomicInteger<int>::loadRelaxed (this=<optimized out>) at /usr/include/qt5/QtCore/qbasicatomic.h:107
#9  QtPrivate::RefCount::isShared (this=<optimized out>) at /usr/include/qt5/QtCore/qrefcount.h:101
#10 QVector<QQuickPointerEvent*>::isDetached (this=0x55fb07c89930) at /usr/include/qt5/QtCore/qvector.h:113
#11 QVector<QQuickPointerEvent*>::detach (this=0x55fb07c89930) at /usr/include/qt5/QtCore/qvector.h:399
#12 QVector<QQuickPointerEvent*>::begin (this=0x55fb07c89930) at /usr/include/qt5/QtCore/qvector.h:210
#13 QQuickWindowPrivate::queryPointerEventInstance (this=this@entry=0x55fb07c89790, device=0x31, eventType=eventType@entry=QEvent::None) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:2498
#14 0x00007fd0f1cfcd14 in QQuickWindow::mouseGrabberItem (this=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:1735
#15 0x00007fd0f1cff49b in QQuickWindowPrivate::removeGrabber (this=0x55fb08699540, grabber=grabber@entry=0x55fb04f45430, mouse=mouse@entry=true, touch=touch@entry=true) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:1001
#16 0x00007fd0f1cdf002 in QQuickItemPrivate::setEffectiveVisibleRecur (this=0x55fb04fa2f00, newEffectiveVisible=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickitem.cpp:6067
#17 0x00007fd0f1cdf037 in QQuickItemPrivate::setEffectiveVisibleRecur (this=this@entry=0x55fb04c90150, newEffectiveVisible=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickitem.cpp:6072
#18 0x00007fd0f1cdf153 in QQuickItemPrivate::setVisible (this=0x55fb04c90150, visible=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickitem.cpp:5975
#19 0x00007fd0f1cec59b in QQuickItem::qt_metacall (this=this@entry=0x55fb04cf52e0, _c=_c@entry=QMetaObject::WriteProperty, _id=11, _a=_a@entry=0x7ffc242b4c40) at .moc/moc_qquickitem.cpp:1048
#20 0x00007fd0f24d18a6 in PlasmaQuick::AppletQuickItem::qt_metacall (this=this@entry=0x55fb04cf52e0, _c=_c@entry=QMetaObject::WriteProperty, _id=<optimized out>, _a=_a@entry=0x7ffc242b4c40) at /usr/src/debug/plasma-framework-5.90.0-1.1.x86_64/build/src/plasmaquick/KF5PlasmaQuick_autogen/include/moc_appletquickitem.cpp:364
#21 0x00007fd0e064fc76 in AppletInterface::qt_metacall (this=0x55fb04cf52e0, _c=QMetaObject::WriteProperty, _id=<optimized out>, _a=0x7ffc242b4c40) at /usr/src/debug/plasma-framework-5.90.0-1.1.x86_64/build/src/scriptengines/qml/plasma_appletscript_declarative_autogen/include/moc_appletinterface.cpp:850
#22 0x00007fd0e065e226 in ContainmentInterface::qt_metacall (this=0x55fb04cf52e0, _c=QMetaObject::WriteProperty, _id=<optimized out>, _a=0x7ffc242b4c40) at /usr/src/debug/plasma-framework-5.90.0-1.1.x86_64/build/src/scriptengines/qml/plasma_appletscript_declarative_autogen/include/moc_containmentinterface.cpp:453
#23 0x00007fd0f17bce1f in QQmlPropertyData::writeProperty (flags=..., value=<optimized out>, target=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlpropertydata_p.h:379
#24 QQmlPropertyPrivate::write (object=object@entry=0x55fb04cf52e0, property=..., value=..., context=<optimized out>, flags=..., flags@entry=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlproperty.cpp:1292
#25 0x00007fd0f16e31f1 in QV4::QObjectWrapper::setProperty (engine=0x55fb04c5ad60, object=0x55fb04cf52e0, property=0x7fd0a40a0ae8, value=...) at /usr/include/qt5/QtCore/qflags.h:120
#26 0x00007fd0f16e3a62 in QV4::QObjectWrapper::setQmlProperty (value=..., revisionMode=QV4::QObjectWrapper::IgnoreRevision, name=<optimized out>, object=0x55fb04cf52e0, qmlContext=<optimized out>, engine=0x55fb04c5ad60) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:435
#27 QV4::QObjectWrapper::setQmlProperty (engine=0x55fb04c5ad60, qmlContext=<optimized out>, object=0x55fb04cf52e0, name=<optimized out>, revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:418
#28 0x00007fd0f16e3c05 in QV4::QObjectWrapper::virtualPut (m=0x7fd0e01f7580, id=..., value=..., receiver=0x7fd0e01f7580) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:722
#29 0x00007fd0f166c3b3 in QV4::Object::put (receiver=0x7fd0e01f7580, v=..., name=0x7fd0e01f7588, this=0x7fd0e01f7580) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4string_p.h:280
#30 QV4::Lookup::setterFallback (l=<optimized out>, engine=0x55fb04c5ad60, object=..., value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4lookup.cpp:497
#31 0x00007fd0f16fd6b2 in QV4::Moth::VME::interpret (frame=0x7ffc242b5080, engine=0x55fb04c5ad60, code=0x7fd0e000994c ".':(\030\aVL\026.):*\030\b.+^\bL\n.,\030\t\b>-\tHM..:/\030\t.0:1>2\t.3:4\030\t.5:6>7\t.8:9\030\t.::;><\t.=:>\030\t.?:@>A\t.B:CL\n.D:E\030\t\n>F\t.G\030\t.H>I\t\026\006\002") at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:653
#32 0x00007fd0f1701917 in QV4::Moth::VME::exec (frame=frame@entry=0x7ffc242b5080, engine=engine@entry=0x55fb04c5ad60) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#33 0x00007fd0f1694d3e in QV4::Function::call (this=this@entry=0x55fb05003f60, thisObject=<optimized out>, argv=argv@entry=0x7fd0e01f7500, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4function.cpp:69
#34 0x00007fd0f181bb45 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x55fb09055200, callData=callData@entry=0x7fd0e01f74d0, isUndefined=isUndefined@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmljavascriptexpression.cpp:212
#35 0x00007fd0f17cd8ab in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#36 0x00007fd0f17cea98 in QQmlBoundSignal_callback (e=0x55fb095ff670, a=0x0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#37 0x00007fd0f1800c75 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#38 0x00007fd0f01fe058 in doActivate<false> (sender=0x55fb05b04a30, signal_index=30, argv=argv@entry=0x0) at kernel/qobject.cpp:3778
#39 0x00007fd0f01f7bdd in QMetaObject::activate (sender=<optimized out>, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x0) at kernel/qobject.cpp:3959
#40 0x00007fd0f17a7515 in QQmlVMEMetaObject::activate (this=this@entry=0x55fb06121a30, object=<optimized out>, index=<optimized out>, args=args@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:1312
#41 0x00007fd0f17a9c1f in QQmlVMEMetaObject::metaCall (this=0x55fb06121a30, o=<optimized out>, c=<optimized out>, _id=<optimized out>, a=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:880
#42 0x00007fd0f01d57dc in QMetaProperty::write (this=this@entry=0x7ffc242b6ec0, object=object@entry=0x55fb05b04a30, value=...) at kernel/qmetaobject.cpp:3258
#43 0x00007fd0f01fd1d6 in QObject::setProperty (this=this@entry=0x55fb05b04a30, name=name@entry=0x7fd0f24f30c9 "containment", value=...) at kernel/qobject.cpp:4070
#44 0x00007fd0f24d8dc0 in PlasmaQuick::ContainmentViewPrivate::setContainment (this=0x55fb0841e6e0, cont=<optimized out>) at /usr/src/debug/plasma-framework-5.90.0-1.1.x86_64/src/plasmaquick/containmentview.cpp:124
#45 0x000055fb02c7bf6c in ShellCorona::addOutput (this=0x55fb049ca0c0, screen=<optimized out>) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/shellcorona.cpp:1290
#46 0x00007fd0f01fe4f3 in QtPrivate::QSlotObjectBase::call (a=0x7ffc242b7150, r=0x55fb049ca0c0, this=0x55fb051eeaa0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#47 doActivate<false> (sender=0x55fb049ff170, signal_index=3, argv=0x7ffc242b7150) at kernel/qobject.cpp:3886
#48 0x00007fd0f01f79bf in QMetaObject::activate (sender=sender@entry=0x55fb049ff170, m=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc242b7150) at kernel/qobject.cpp:3946
#49 0x000055fb02c7761c in PrimaryOutputWatcher::primaryOutputNameChanged (_t2=..., _t1=..., this=0x55fb049ff170) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/build/shell/plasmashell_autogen/EWIEGA46WW/moc_primaryoutputwatcher.cpp:136
#50 PrimaryOutputWatcher::setPrimaryOutputName (this=this@entry=0x55fb049ff170, newOutputName=...) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/primaryoutputwatcher.cpp:72
#51 0x000055fb02c778f7 in operator() (__closure=<optimized out>, __closure=<optimized out>) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/primaryoutputwatcher.cpp:127
#52 QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, PrimaryOutputWatcher::nativeEventFilter(const QByteArray&, void*, long int*)::<lambda()> >::call (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:146
#53 QtPrivate::Functor<PrimaryOutputWatcher::nativeEventFilter(const QByteArray&, void*, long int*)::<lambda()>, 0>::call<QtPrivate::List<>, void> (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:256
#54 QtPrivate::QFunctorSlotObject<PrimaryOutputWatcher::nativeEventFilter(const QByteArray&, void*, long int*)::<lambda()>, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=<optimized out>, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:443
#55 0x00007fd0f01f449e in QObject::event (this=0x55fb049ff170, e=0x7fd0dc065b80) at kernel/qobject.cpp:1314
#56 0x00007fd0f0f63a7f in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55fb049ff170, e=0x7fd0dc065b80) at kernel/qapplication.cpp:3632
#57 0x00007fd0f01c7e2a in QCoreApplication::notifyInternal2 (receiver=0x55fb049ff170, event=0x7fd0dc065b80) at kernel/qcoreapplication.cpp:1064
#58 0x00007fd0f01cae67 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x55fb048920b0) at kernel/qcoreapplication.cpp:1821
#59 0x00007fd0f021fce3 in postEventSourceDispatch (s=s@entry=0x55fb04984ad0) at kernel/qeventdispatcher_glib.cpp:277
#60 0x00007fd0ee531d5f in g_main_dispatch (context=0x7fd0e4005000) at ../glib/gmain.c:3381
#61 g_main_context_dispatch (context=0x7fd0e4005000) at ../glib/gmain.c:4099
#62 0x00007fd0ee5320e8 in g_main_context_iterate (context=context@entry=0x7fd0e4005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4175
#63 0x00007fd0ee53219f in g_main_context_iteration (context=0x7fd0e4005000, may_block=1) at ../glib/gmain.c:4240
#64 0x00007fd0f021f364 in QEventDispatcherGlib::processEvents (this=0x55fb04988610, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#65 0x00007fd0f01c682b in QEventLoop::exec (this=this@entry=0x7ffc242b7580, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#66 0x00007fd0f01ceb00 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#67 0x00007fd0f061825c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1867
#68 0x00007fd0f0f639f5 in QApplication::exec () at kernel/qapplication.cpp:2824
#69 0x000055fb02c5a69a in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/main.cpp:238
[Inferior 1 (process 1690) detached]

Possible duplicates by query: bug 445417, bug 443352, bug 443059, bug 439721, bug 432867.

Reported using DrKonqi
Comment 1 Nate Graham 2022-02-11 22:25:52 UTC
#49 0x000055fb02c7761c in PrimaryOutputWatcher::primaryOutputNameChanged (_t2=..., _t1=..., this=0x55fb049ff170) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/build/shell/plasmashell_autogen/EWIEGA46WW/moc_primaryoutputwatcher.cpp:136
#50 PrimaryOutputWatcher::setPrimaryOutputName (this=this@entry=0x55fb049ff170, newOutputName=...) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/primaryoutputwatcher.cpp:72
#51 0x000055fb02c778f7 in operator() (__closure=<optimized out>, __closure=<optimized out>) at /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/primaryoutputwatcher.cpp:127

primaryoutputwatcher.cpp:127 says:
setPrimaryOutputName(qGuiApp->primaryScreen()->name());

primaryoutputwatcher.cpp:72 says:
Q_EMIT primaryOutputNameChanged(oldOutputName, newOutputName);

primaryoutputwatcher.cpp:136 says:
const auto screens = qGuiApp->screens();


So we're crashing trying to get a list of all screens? Could it be empty?
Comment 2 NIk 2022-02-12 00:56:24 UTC
(In reply to Nate Graham from comment #1)
> #49 0x000055fb02c7761c in PrimaryOutputWatcher::primaryOutputNameChanged
> (_t2=..., _t1=..., this=0x55fb049ff170) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/build/shell/
> plasmashell_autogen/EWIEGA46WW/moc_primaryoutputwatcher.cpp:136
> #50 PrimaryOutputWatcher::setPrimaryOutputName
> (this=this@entry=0x55fb049ff170, newOutputName=...) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/
> primaryoutputwatcher.cpp:72
> #51 0x000055fb02c778f7 in operator() (__closure=<optimized out>,
> __closure=<optimized out>) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/
> primaryoutputwatcher.cpp:127
> 
> primaryoutputwatcher.cpp:127 says:
> setPrimaryOutputName(qGuiApp->primaryScreen()->name());
> 
> primaryoutputwatcher.cpp:72 says:
> Q_EMIT primaryOutputNameChanged(oldOutputName, newOutputName);
> 
> primaryoutputwatcher.cpp:136 says:
> const auto screens = qGuiApp->screens();
> 
> 
> So we're crashing trying to get a list of all screens? Could it be empty?

Dont ask me :)
All those complicated lines in my report came from the automatic reporting utility under KDE, I just sent the report and dont know what any of that means.  It happened today again.
Comment 3 NIk 2022-02-12 04:51:46 UTC
(In reply to Nate Graham from comment #1)
> #49 0x000055fb02c7761c in PrimaryOutputWatcher::primaryOutputNameChanged
> (_t2=..., _t1=..., this=0x55fb049ff170) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/build/shell/
> plasmashell_autogen/EWIEGA46WW/moc_primaryoutputwatcher.cpp:136
> #50 PrimaryOutputWatcher::setPrimaryOutputName
> (this=this@entry=0x55fb049ff170, newOutputName=...) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/
> primaryoutputwatcher.cpp:72
> #51 0x000055fb02c778f7 in operator() (__closure=<optimized out>,
> __closure=<optimized out>) at
> /usr/src/debug/plasma5-workspace-5.24.0-1.2.x86_64/shell/
> primaryoutputwatcher.cpp:127
> 
> primaryoutputwatcher.cpp:127 says:
> setPrimaryOutputName(qGuiApp->primaryScreen()->name());
> 
> primaryoutputwatcher.cpp:72 says:
> Q_EMIT primaryOutputNameChanged(oldOutputName, newOutputName);
> 
> primaryoutputwatcher.cpp:136 says:
> const auto screens = qGuiApp->screens();
> 
> 
> So we're crashing trying to get a list of all screens? Could it be empty?

Edit: This (https://bugs.kde.org/show_bug.cgi?id=450062) is actually related. Just read the summary part.
Its reproducible. 

When I do this ...:

(Quote)
- Main monitor connected to iGPU via HDMI, same monitor connected to GTX 1660S via DVI (GTX is bound to vfio-pci but shouldnt matter for this)
- When starting a VM, the "2nd monitor" aka GTX @ DVI gets effectively disconnected from the host. When coming back to Plasma after shutting down the VM, all my desktop icons (default folder view) get reset the the top of the screen. Happens 100% of the time and only under wayland

.. Plasmashell crashes. Minus the part that the icons get reset, because that happens only under Wayland, as stated under 
Bug 450062, not X.
Comment 4 Nicolas Fella 2022-02-13 01:43:02 UTC
*** Bug 450113 has been marked as a duplicate of this bug. ***
Comment 5 Fushan Wen 2022-02-20 13:30:46 UTC
*** Bug 450607 has been marked as a duplicate of this bug. ***
Comment 8 Philipp Maierhöfer 2022-02-21 09:53:37 UTC
(In reply to Nate Graham from comment #1)
> So we're crashing trying to get a list of all screens? Could it be empty?

Very likely in my case, where the crash always happens (i.e. really every time) when the screen (there's only one) wakes up from stand-by. Syslog shows me stuff like that:

A bunch of messages from kscreen saying that the screen has been disconnected, e.g.
> kscreen_backend_launcher[19076]: kscreen.xcb.helper:         Connection:  "Disconnected"
Several of these, 6x with screen -1 and a lot with screen 0:
> plasmashell[929]: requesting unexisting screen -1
> plasmashell[929]: requesting unexisting screen 0
Then again kscreen reports about the disconnected screen and within a second notices that it has been connected again.
After that plasmashell restarts.
Comment 9 NIk 2022-03-02 00:58:59 UTC
After updating to KDE 5.24.2 on openSUSE Tumbleweed snapshot 20220227 I would carefully say that the issue has been resolved. I tested multiple times to start my VMs, restarted 3 times, tried the same again, plasmashell did not crash this time. 
I just wonder why there is no "solved" or merge request thingy in here, or does that appear later? The other duplicates are also still open.
Comment 10 Fushan Wen 2022-03-02 01:00:08 UTC
You can mark the bug as "RESOLVED WORKSFORME".
Comment 11 NIk 2022-03-02 01:25:20 UTC
(In reply to Fushan Wen from comment #10)
> You can mark the bug as "RESOLVED WORKSFORME".

Thanks
Comment 12 Philipp Maierhöfer 2022-03-02 11:54:14 UTC
The "duplicate" bug filed in https://bugs.kde.org/show_bug.cgi?id=450607 has not been fixed in Tumbleweed 20220227.

I'm not saying that "WORKSFORSOME" is not correct in the sense that one possible trigger of the underlying bug may have been fixed. But I fear that setting the status to "WORKSFORSOME" reduces the priority even further.

Given the fact that a core component of the DE is frequently crashing in everyday usage this might send the wrong signal.
Comment 13 Valentine Stubbs 2022-03-02 15:46:37 UTC
Created attachment 147244 [details]
attachment-18589-0.html

I must chime in and say that the frequent crashing for various 
unpredictable reasons not just this particular bug, that was more easily 
reproducible, has force me to abandon KDE and Plasma. I am using OpenBox 
and XFCE and as yet have not had this DM crash once. If this is 
obtainable in this environment, I fear there is and underlying issue yet 
to be tracked down, and setting the status to something that will place 
the issue further on the back burner will only mean the core trigger is 
never found let alone be resolved.

On 3/2/22 06:54, Philipp Maierhöfer wrote:
> https://bugs.kde.org/show_bug.cgi?id=449981
>
> --- Comment #12 from Philipp Maierhöfer<maiphi.public@gmx.net>  ---
> The "duplicate" bug filed inhttps://bugs.kde.org/show_bug.cgi?id=450607  has
> not been fixed in Tumbleweed 20220227.
>
> I'm not saying that "WORKSFORSOME" is not correct in the sense that one
> possible trigger of the underlying bug may have been fixed. But I fear that
> setting the status to "WORKSFORSOME" reduces the priority even further.
>
> Given the fact that a core component of the DE is frequently crashing in
> everyday usage this might send the wrong signal.
>
Comment 14 Nate Graham 2022-03-02 15:59:45 UTC
> frequent crashing for various unpredictable reasons not just this particular bug
Can you file different bug reports about the other issues?
Comment 15 NIk 2022-03-02 22:24:49 UTC
(In reply to Philipp Maierhöfer from comment #12)
> The "duplicate" bug filed in https://bugs.kde.org/show_bug.cgi?id=450607 has
> not been fixed in Tumbleweed 20220227.
> 
> I'm not saying that "WORKSFORSOME" is not correct in the sense that one
> possible trigger of the underlying bug may have been fixed. But I fear that
> setting the status to "WORKSFORSOME" reduces the priority even further.
> 
> Given the fact that a core component of the DE is frequently crashing in
> everyday usage this might send the wrong signal.

I agree, changed back to reported if thats correct. I assumed that since its actually fixed for me, consistently, it also is fixed for anyone else but they just didnt report back.
Comment 16 Philipp Maierhöfer 2022-03-18 15:39:51 UTC
The plasmashell crash when the screen wakes up from energy saving mode doesn't seem to happen anymore in 5.24.3.
Comment 17 Valentine Stubbs 2022-03-18 22:01:34 UTC Comment hidden (spam)
Comment 18 Victoria 2022-03-25 12:58:50 UTC
The crash when monitors wake up from sleep still happens on two monitors connected via DP.

Operating System: Arch Linux
KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.16.16-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 2600X Six-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: AMD Radeon RX 580 Series
Comment 19 Nate Graham 2022-09-08 18:13:43 UTC
Are you able to reproduce this issue in Plasma 5.25 or later?
Comment 20 Valentine Stubbs 2022-09-08 18:51:15 UTC
Created attachment 151932 [details]
attachment-5119-0.html

I no longer use KDE or Plasma. For that matter I no longer use openSUSE. 
I have switch to a much more stable Fedora currently version 36, and use 
XFCE as a DM, and my base memory usage is 3.18 GiB with Firefox and 
Thunderbird loaded as apposed to over 8 GiB with Plasma 5

On 2022-09-08 14:13, Nate Graham wrote:
> https://bugs.kde.org/show_bug.cgi?id=449981
>
> Nate Graham<nate@kde.org>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|REPORTED                    |NEEDSINFO
>           Resolution|---                         |WAITINGFORINFO
>
> --- Comment #19 from Nate Graham<nate@kde.org>  ---
> Are you able to reproduce this issue in Plasma 5.25 or later?
>
Comment 21 Bug Janitor Service 2022-09-23 04:48:36 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 22 Nate Graham 2022-09-23 15:18:56 UTC
*** Bug 459553 has been marked as a duplicate of this bug. ***
Comment 23 Nate Graham 2022-09-23 15:19:28 UTC
*** Bug 450594 has been marked as a duplicate of this bug. ***
Comment 24 Nate Graham 2022-09-23 15:19:36 UTC
*** Bug 450723 has been marked as a duplicate of this bug. ***
Comment 25 Nate Graham 2022-09-23 15:20:19 UTC
Is anyone else affected by this able to reproduce it in Plasma 5.25? I notice all reports are from 5.24.
Comment 26 Bug Janitor Service 2022-10-08 04:53:42 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 27 Bug Janitor Service 2022-10-23 05:01:27 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!
Comment 28 David Edmundson 2023-02-03 15:33:33 UTC
*** Bug 400835 has been marked as a duplicate of this bug. ***
Comment 29 Nate Graham 2023-02-03 15:36:39 UTC
*** Bug 402121 has been marked as a duplicate of this bug. ***
Comment 30 Nate Graham 2023-02-03 15:36:47 UTC
*** Bug 404902 has been marked as a duplicate of this bug. ***
Comment 31 Nate Graham 2023-02-03 15:36:55 UTC
*** Bug 410575 has been marked as a duplicate of this bug. ***
Comment 32 Nate Graham 2023-02-03 15:37:03 UTC
*** Bug 417232 has been marked as a duplicate of this bug. ***
Comment 33 Nate Graham 2023-02-03 15:37:10 UTC
*** Bug 428573 has been marked as a duplicate of this bug. ***
Comment 34 Nate Graham 2023-02-03 15:37:17 UTC
*** Bug 434823 has been marked as a duplicate of this bug. ***
Comment 35 Nate Graham 2023-02-03 15:37:24 UTC
*** Bug 440265 has been marked as a duplicate of this bug. ***
Comment 36 Nate Graham 2023-02-03 15:37:33 UTC
*** Bug 441728 has been marked as a duplicate of this bug. ***
Comment 37 Nate Graham 2023-02-03 15:37:46 UTC
*** Bug 459958 has been marked as a duplicate of this bug. ***
Comment 38 Nate Graham 2023-04-28 16:36:23 UTC
*** Bug 468952 has been marked as a duplicate of this bug. ***
Comment 39 Nate Graham 2023-04-28 16:37:31 UTC
Got a report from a KDE dev using Plasma 5.27; re-opening.
Comment 40 Fushan Wen 2023-04-29 01:27:29 UTC
The latest qt5-declarative has reverted the backport commit from Qt6, so it's expected the bug is not fixed in Qt5.
Comment 42 Nate Graham 2023-05-05 06:19:54 UTC
I believe so, yeah.
Comment 43 Nate Graham 2023-05-17 02:31:23 UTC
Plasma 6 is in progress, so I think at this point we'll have to be okay with it being a Plasma-6-only fix.
Comment 44 Fushan Wen 2023-08-18 12:41:35 UTC
*** Bug 473202 has been marked as a duplicate of this bug. ***
Comment 45 Nate Graham 2023-08-21 17:22:09 UTC
*** Bug 471057 has been marked as a duplicate of this bug. ***
Comment 46 Nate Graham 2023-08-21 17:24:22 UTC
*** Bug 471220 has been marked as a duplicate of this bug. ***
Comment 47 Nate Graham 2023-08-21 17:29:00 UTC
*** Bug 443901 has been marked as a duplicate of this bug. ***
Comment 48 Nate Graham 2023-08-21 17:29:06 UTC
*** Bug 445921 has been marked as a duplicate of this bug. ***
Comment 49 Nate Graham 2023-08-21 17:29:12 UTC
*** Bug 462431 has been marked as a duplicate of this bug. ***
Comment 50 Fushan Wen 2023-08-22 01:41:18 UTC
*** Bug 472521 has been marked as a duplicate of this bug. ***
Comment 51 Nate Graham 2023-09-05 19:41:00 UTC
*** Bug 474180 has been marked as a duplicate of this bug. ***
Comment 52 Nate Graham 2024-02-22 17:22:50 UTC
*** Bug 481662 has been marked as a duplicate of this bug. ***
Comment 53 Nate Graham 2024-07-03 19:51:25 UTC
*** Bug 489659 has been marked as a duplicate of this bug. ***